## net.sf.statcvs.charts
Class ChartImage

    java.lang.Object
      net.sf.statcvs.charts.ChartImage

    public class ChartImage

extends java.lang.Object

An image file for a chart. TODO: Better integrate all charts with ReportConfig

Version:
  $Id: ChartImage.java,v 1.6 2008/04/02 11:22:15 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

Constructor Summary
`ChartImage(java.lang.String rootDirectory, java.lang.String fileName, java.lang.String title, org.jfree.chart.JFreeChart chart, java.awt.Dimension size)` Creates a new ChartFile.

Method Summary
`java.lang.String` `getFullTitle()` Returns the chart's title.
`int` `getHeight()` Returns the chart's height in pixels.
`java.lang.String` `getURL()` Returns the chart's URL, relative to the report root.
`int` `getWidth()` Returns the chart's width in pixels.
`void` `write()` Writes the chart to disk as a PNG file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartImage

    public ChartImage(java.lang.String rootDirectory,
                      java.lang.String fileName,
                      java.lang.String title,
                      org.jfree.chart.JFreeChart chart,
                      java.awt.Dimension size)

  Creates a new ChartFile.

  Parameters:
    `rootDirectory` - The report root directory with trailing slash
    `fileName` - The relative file name for the chart, with .png extension
    `title` - The chart's title
    `chart` - The JFreeChart object to save as a file
    `size` - width and height of the chart in pixels

Method Detail

### write

    public void write()

  Writes the chart to disk as a PNG file.

### getURL

    public java.lang.String getURL()

  Returns the chart's URL, relative to the report root.

### getFullTitle

    public java.lang.String getFullTitle()

  Returns the chart's title.

### getWidth

    public int getWidth()

  Returns the chart's width in pixels.

### getHeight

    public int getHeight()

  Returns the chart's height in pixels.